# PSF-LoginServer - master - net.psforever.objects.serverobject.painbox.PainboxControl.Passthrough
PSF - LoginServer - master - net.psforever.objects.serverobject.painbox.PainboxControl.Passthrough
Keywords: PSF LoginServer master net.psforever.objects.serverobject.painbox.PainboxControl.Passthrough

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package painbox
  Definition Classes
    serverobject
-  object PainboxControl
  Definition Classes
    painbox
- Box
- Passthrough
- Shape
- Spherical
- Unshaped

c

net.psforever.objects.serverobject.painbox.PainboxControl

# Passthrough

###

#### final case class Passthrough(midpoint: Vector3) extends Shape with Product with Serializable

Source
  PainboxControl.scala

Linear Supertypes
Serializable, Product, Equals, Shape, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Passthrough
2. Serializable
3. Product
4. Equals
5. Shape
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Passthrough(midpoint: Vector3)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def filterTargets(available: List[Player]): List[Player]
   Definition Classes
     Passthrough → Shape
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  val midpoint: Vector3
    Definition Classes
      Passthrough → Shape
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Shape

### Inherited from AnyRef

### Inherited from Any

### Ungrouped